#### D.12.6.14 univarpoly

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  univarpoly(l); l list

Return:
  poly: a polynomial p on the first variable of basering, say x, with p = l[1] + l[2]*x + l[3]*x^2 + ...

Example:

    LIB "rootsmr.lib";
    ring r = 0,x,dp;
    list l = list(1,2,3,4,5);
    poly p = univarpoly(l);
    p;
    ==> x4+2x3+3x2+4x+5

User manual for Singular version 4.4.1, 2025, generated by texi2html.